namespace AIProofread.core
{
    public class CorrectionCharacter
    {
        private int position;

        private char c;

        private bool visible;

        public int Position
        {
            get
            {
                return position;
            }
            set
            {
                position = value;
            }
        }

        public char C
        {
            get
            {
                return c;
            }
            set
            {
                c = value;
            }
        }

        public bool Visible
        {
            get
            {
                return visible;
            }
            set
            {
                visible = value;
            }
        }

        public CorrectionCharacter()
        {
        }

        public CorrectionCharacter(char _c, bool _v, int _p)
        {
            C = _c;
            Visible = _v;
            Position = _p;
        }

        public override string ToString()
        {
            return $"{Position}:{C}-{Visible}";
        }
    }
}
